Subject: RE: [Sipping] Pac Call Initiation from a UA?

From: "Eagan, Christopher" <[email-masked]>
Date: Mon, 29 Sep 2003 09:50:09 -0400

Thanks Rohan!

I think the solution you suggest is the most promising route we are looking at - we were just trying to hash out several possible schemes for MLPP in SIP.

Chris

-----Original Message-----
From: Rohan Mahy [mailto:[email-masked]]
Sent: Friday, September 26, 2003 12:07 PM
To: Eagan, Christopher
Cc: [email-masked]
Subject: Re: [Sipping] 3pcc Call Initiation from a UA?

Christopher,

Preemption in MLPP should only ever occur for SIP resources at the 
originating or terminating UA, not at any intermediaries.  Your UA 
(possibly a TDM gateway) should preempt a lower-level call when it 
receives a higher-level one and can't handle any more calls. In other 
words, there is no reason to have a 3pcc controller involved in an MLPP 
session.

thanks,
-rohan

On Monday, September 22, 2003, at 08:14 AM, Eagan, Christopher wrote:

> Hello all,
>
> I am wondering if there is any (SIP) way for a UA to initiate a 3pcc 
> call where the initiating UA is not the controller.  I.e. I want to 
> compel a 3rd party controller to INVITE me and someone else to a call.
>
> I am wondering about this for the case of Multilevel Precedence and 
> Preemption (MLPP) implementation where calls might need to initiated 
> somewhat normally but also be under control of a 3rd party for 
> preemption events.
>
> Thanks!
>
> Chris
>
> Christopher Eagan
> Software Engineer
> Lockheed Martin
> [email-masked]
> 301-240-6328
>
>
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP